Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007556OCamlstandard librarypublic2017-06-15 01:462017-07-04 02:59
Reporterberenger 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformlinuxOSOS Version
Product Version 
Target VersionFixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0007556: .cmt and .cmti files for the unix module of the stdlib are not installed
Description# file ~/.opam/4.04.1/lib/ocaml/list.cmt
/home/berenger/.opam/4.04.1/lib/ocaml/list.cmt: data
# file ~/.opam/4.04.1/lib/ocaml/list.cmti
/home/berenger/.opam/4.04.1/lib/ocaml/list.cmti: OCaml interface file (.cmi) (Version 021)
berenger@aspirin:~# file ~/.opam/4.04.1/lib/ocaml/unix.cmt
/home/berenger/.opam/4.04.1/lib/ocaml/unix.cmt: cannot open `/home/berenger/.opam/4.04.1/lib/ocaml/unix.cmt' (No such file or directory)
berenger@aspirin:~# file ~/.opam/4.04.1/lib/ocaml/unix.cmti
/home/berenger/.opam/4.04.1/lib/ocaml/unix.cmti: cannot open `/home/berenger/.opam/4.04.1/lib/ocaml/unix.cmti' (No such file or directory)
 opam switch | grep C
4.04.1 C 4.04.1 Official 4.04.1 release

Steps To Reproducecf. above
Additional InformationThis prevents some tools (like ocp-browser) from being able to look-up into the documentation for this module.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017905)
berenger (reporter)
2017-06-16 01:53

related to https://caml.inria.fr/mantis/view.php?id=7362 [^]
(0018032)
dbuenzli (reporter)
2017-07-03 08:04

This has been fixed in 4.05+rc1
(0018033)
dbuenzli (reporter)
2017-07-03 08:08

(at least on macos)
(0018039)
gasche (administrator)
2017-07-03 15:15

Fran├žois, are you able to confirm Daniel's remark that this is fixed on 4.05.0+rc1?
(0018043)
berenger (reporter)
2017-07-04 02:14

Yes, fixed on Linux for 4.05.0+rc1. Cool!

- Issue History
Date Modified Username Field Change
2017-06-15 01:46 berenger New Issue
2017-06-16 01:53 berenger Note Added: 0017905
2017-07-03 08:04 dbuenzli Note Added: 0018032
2017-07-03 08:08 dbuenzli Note Added: 0018033
2017-07-03 15:15 gasche Note Added: 0018039
2017-07-03 15:15 gasche Assigned To => gasche
2017-07-03 15:15 gasche Status new => feedback
2017-07-04 02:14 berenger Note Added: 0018043
2017-07-04 02:14 berenger Status feedback => assigned
2017-07-04 02:59 gasche Status assigned => resolved
2017-07-04 02:59 gasche Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2017-07-04 02:59 gasche Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker